let
  pkgs = import <nixpkgs> {};

  srcNatPMP = pkgs.fetchgit {
    url = "https://code.google.com/p/go-nat-pmp/";
    rev = "e04deda90d56";
    sha256 = "1swwfyzaj3l40yh9np3x4fcracgs79nwryc85sxbdakx8wwxs2xb";
  };
  
  version = builtins.substring 0 8 (builtins.readFile ./manifest.uuid);
in
with pkgs;
{ 
  filegive = stdenv.mkDerivation {
    name = "filegive-dev-${version}";

    src = ./.;

    buildInputs = [ go ];

    buildPhase = ''
      mkdir $TMPDIR/go
      export GOPATH=$TMPDIR/go

      GONATPMP=$GOPATH/src/code.google.com/p/go-nat-pmp
      mkdir -p $GONATPMP
      cp -R ${srcNatPMP}/* $GONATPMP/
      go build -o filegive
    '';

    installPhase = ''
      ensureDir $out/bin
      cp filegive $out/bin
    '';
  };
}
